List unspent outputs (UTXOs)

Returns a paginated list of unspent transaction outputs (UTXOs) for a UTXO-based asset in a vault account, with optional filters for labels, statuses, amounts, and more. Note: These endpoints are currently in beta and might be subject to changes.
Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor, Viewer.

Path Params
string
required

The ID of the vault account

string
required

The ID of the asset

Query Params
string

Cursor for the next page of results

integer
1 to 250
Defaults to 50

Number of results per page (max 250, default 50)

string
enum

Field to sort by

Allowed:
string
enum

Sort order

Allowed:
includeAllLabels
array of strings

Only return UTXOs that have ALL of these labels (AND logic).

includeAllLabels
includeAnyLabels
array of strings

Return UTXOs that have ANY of these labels (OR logic).

includeAnyLabels
excludeAnyLabels
array of strings

Exclude UTXOs that have ANY of these labels.

excludeAnyLabels
includeStatuses
array of strings

Filter by UTXO statuses to include.

includeStatuses
string

Filter by address

string

Minimum amount filter

string

Maximum amount filter

boolean

Include change outputs

boolean

Include coinbase outputs

Responses

Language
URL
LoadingLoading…
Response
Choose an example:
application/json